/*
 * Copyright (c) 2002, Adam Dunkels.
 * All rights reserved. 
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions 
 * are met: 
 * 1. Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution. 
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgement:
 *        This product includes software developed by Adam Dunkels. 
 * 4. The name of the author may not be used to endorse or promote
 *    products derived from this software without specific prior
 *    written permission.  
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.  
 *
 * This file is part of the "ctk" console GUI toolkit for cc65
 *
 * $Id: ctk-blueround-conf.h,v 1.2 2003/02/20 20:00:02 adam Exp $
 *
 */

#ifndef __CTK_BLUEROUND_CONF_H__
#define __CTK_BLUEROUND_CONF_H__

/* Order is: bgwin/non-focus, bgwin/focus, fgwin/non-focus, fgwin/focus,
   dialog/non-focus, dialog/focus, menucolor, openmenu, activemenu*/

/* COLOR(bg, fg) */

static unsigned char colors[] = {
  /* Window background colors. */
  /*  COLOR(COLOR_GRAY2, COLOR_GRAY1),
  COLOR(COLOR_GRAY2, COLOR_GRAY3),
  COLOR(COLOR_GRAY3, COLOR_GRAY1),
  COLOR(COLOR_GRAY3, COLOR_WHITE),
  COLOR(COLOR_WHITE, COLOR_BLACK),
  COLOR(COLOR_WHITE, COLOR_BLACK),*/
  
  COLOR(COLOR_BLACK, COLOR_BLACK),
  COLOR(COLOR_BLACK, COLOR_BLACK),
  COLOR(COLOR_BLUE, COLOR_BLACK),
  COLOR(COLOR_BLUE, COLOR_BLACK),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),

  
  /* Separator colors. */
  /*  COLOR(COLOR_GRAY2, COLOR_GRAY1),
  COLOR(COLOR_GRAY2, COLOR_GRAY1),
  COLOR(COLOR_GRAY3, COLOR_GRAY2),
  COLOR(COLOR_GRAY3, COLOR_GRAY2),
  COLOR(COLOR_WHITE, COLOR_GRAY1),
  COLOR(COLOR_WHITE, COLOR_GRAY1), */

  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLUE, COLOR_BLACK),
  COLOR(COLOR_BLUE, COLOR_BLACK),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),
  
  /* Label colors. */
  /*  COLOR(COLOR_GRAY2, COLOR_GRAY1),
  COLOR(COLOR_GRAY2, COLOR_GRAY1),
  COLOR(COLOR_WHITE, COLOR_BLACK),
  COLOR(COLOR_WHITE, COLOR_BLACK),
  COLOR(COLOR_WHITE, COLOR_BLACK),
  COLOR(COLOR_WHITE, COLOR_BLACK),*/

  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),

  
  /* Button colors.*/
  /*  COLOR(COLOR_GRAY2, COLOR_GRAY1),
  COLOR(COLOR_GRAY1, COLOR_GRAY2),
  COLOR(COLOR_GRAY3, COLOR_GRAY1),
  COLOR(COLOR_GRAY1, COLOR_GRAY3),
  COLOR(COLOR_GRAY3, COLOR_GRAY1),
  COLOR(COLOR_GRAY1, COLOR_GRAY3),*/
  
  COLOR(COLOR_BLUE, COLOR_BLACK),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLACK),
  COLOR(COLOR_LIGHTBLUE, COLOR_CYAN),
  COLOR(COLOR_BLUE, COLOR_BLACK),
  COLOR(COLOR_BLUE, COLOR_CYAN),

  /* Hyperlink colors. */
  /*  COLOR(COLOR_GRAY2, COLOR_LIGHTBLUE),
  COLOR(COLOR_GRAY2, COLOR_LIGHTBLUE),
  COLOR(COLOR_WHITE, COLOR_BLUE),
  COLOR(COLOR_BLUE, COLOR_WHITE),
  COLOR(COLOR_WHITE, COLOR_BLUE),
  COLOR(COLOR_BLUE, COLOR_WHITE),*/
  
  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLUE, COLOR_CYAN),
  COLOR(COLOR_BLUE, COLOR_WHITE),
  COLOR(COLOR_LIGHTBLUE, COLOR_CYAN),
  COLOR(COLOR_LIGHTBLUE, COLOR_WHITE),



  /* Text entry colors. */
  /*  COLOR(COLOR_GRAY2, COLOR_GRAY1),
  COLOR(COLOR_GRAY2, COLOR_BLACK),
  COLOR(COLOR_WHITE, COLOR_GRAY1),
  COLOR(COLOR_WHITE, COLOR_BLACK),
  COLOR(COLOR_WHITE, COLOR_GRAY1),
  COLOR(COLOR_WHITE, COLOR_BLACK),*/
  
  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLACK, COLOR_LIGHTBLUE),
  COLOR(COLOR_BLACK, COLOR_LIGHTBLUE),
  COLOR(COLOR_BLACK, COLOR_CYAN),
  COLOR(COLOR_WHITE, COLOR_BLUE),
  COLOR(COLOR_WHITE, COLOR_BLACK),


  /* Icon colors. */
  COLOR(COLOR_BLUE, COLOR_BLACK),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLACK),
  COLOR(COLOR_LIGHTBLUE, COLOR_CYAN),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLACK),
  COLOR(COLOR_LIGHTBLUE, COLOR_CYAN),


  /* Button left corner colors.*/
  /*  COLOR(COLOR_GRAY3, COLOR_GRAY2),
  COLOR(COLOR_GRAY1, COLOR_GRAY2),
  COLOR(COLOR_WHITE, COLOR_GRAY3),
  COLOR(COLOR_GRAY1, COLOR_GRAY3),
  COLOR(COLOR_WHITE, COLOR_GRAY3),
  COLOR(COLOR_GRAY1, COLOR_GRAY3),*/

  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),
  
  /* Button right corner colors.*/
  /*  COLOR(COLOR_GRAY1, COLOR_GRAY2),
  COLOR(COLOR_GRAY3, COLOR_GRAY2),
  COLOR(COLOR_GRAY1, COLOR_GRAY3),
  COLOR(COLOR_WHITE, COLOR_GRAY3),
  COLOR(COLOR_GRAY1, COLOR_GRAY3),
  COLOR(COLOR_WHITE, COLOR_GRAY3),*/

  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLACK, COLOR_BLUE),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),


  
  /* Menu colors */
  COLOR(COLOR_LIGHTBLUE, COLOR_BLUE),
  COLOR(COLOR_BLUE, COLOR_LIGHTBLUE),
  COLOR(COLOR_CYAN, COLOR_BLUE),
};

#define BGCOLOR1 0x00
#define BGCOLOR2 0x06
#define BGCOLOR3 0x00
#define BGCOLOR4 0x06



#endif /* __CTK_BLUEROUND_CONF_H__ */
