	;; This is a heavily modified version of Marko Mkel's
	;; syncronous IRQ loader, made for the ca65 assembler.

;---------------------------------------------------------------------	

	.importzp       ptr1, ptr2, ptr3, ptr4, sreg
	.importzp	sp

	.import CIOUT, LISTEN, SECOND, UNLSN
		
	.export _irqload_init
; 	.export _irqload_readsector 

via1pb	= $1800
via2pb	= $1c00

;---------------------------------------------------------------------
.data
mwcommand:	.byte 'M','-','W'
mwaddr:		.byte 0,5
mwlen:		.byte 32
;---------------------------------------------------------------------		
.code
;---------------------------------------------------------------------
_irqload_init:	

	;; Send drive command "M-W" to drive

	lda #<drivecode
	sta ptr1
	lda #>drivecode
	sta ptr1+1

	lda #0
	sta mwaddr
	lda #5
	sta mwaddr+1
	
@mwloop:			
	lda #8
	jsr LISTEN
	lda #$6f
	jsr SECOND

	ldy #0
:
	lda mwcommand,y
	jsr CIOUT
	iny
	cpy #6
	bne :-

	ldy #0
:		
	lda (ptr1),y
	jsr CIOUT
	iny
	cpy mwlen
	bne :-		

	jsr UNLSN	
		
	lda ptr1
	clc
	adc mwlen
	sta ptr1
	bcc :+
	inc ptr1+1
:

	lda mwaddr
	clc
	adc mwlen
	sta mwaddr
	bcc :+
	inc mwaddr+1
:
		
	ldx ptr1
	lda ptr1+1
	cpx #<drivecodeend
	sbc #>drivecodeend
	; 	bcc @mwloop	

	;; Send the M-E memory execute command to the drive

	lda #8
	jsr LISTEN
	lda #$6f
	jsr SECOND

	lda #'M'
	jsr CIOUT
	lda #'-'
	jsr CIOUT
	lda #'E'
	jsr CIOUT
	lda #0
	jsr CIOUT
	lda #5
	jsr CIOUT

	jmp UNLSN
	
;---------------------------------------------------------------------
	.org $500
drivecode:

	cld

@loop:
;  	cli			
	
	lda via2pb
	ora #8
	sta via2pb

	jmp @loop
drivecodeend:	
;---------------------------------------------------------------------			